본문내용 바로가기 메인메뉴 바로가기 하단내용 바로가기

보안공지

보안공지 상세보기
KRACK Wi-Fi 암호기술(WPA2) 취약점 보안 업데이트 권고2017.10.17
□ 개요
 o Wi-Fi 암호 기술인 WPA2를 사용하는 운영체제에서 악용 가능한 취약점(KRACK, Key Reinstallation Attacks)이 공개됨[1]
 o 영향 받는 버전의 사용자는 개인정보 유출 및 통신 도청 등에 피해를 입을 수 있기 때문에 해결방안에 따라 최신 버전으로 업데이트 권고

□ 취약점 설명
 o 4-way-handshake에서 양방향 암호화키(PTK-TK)를 재설치하여 정보 유출이 가능한 취약점(CVE-2017-13077)
 o 4-way-handshake에서 그룹 암호화키(GTK)를 재설치하여 정보 유출이 가능한 취약점(CVE-2017-13078)
 o 4-way-handshake에서 무결성 그룹 암호화키(IGTK)를 재설치하여 정보 유출이 가능한 취약점(CVE-2017-13079)
 o 그룹 Key handshake에서 그룹 암호화키(GTK)를 재설치하여 정보 유출이 가능한 취약점(CVE-2017-13080)
 o 그룹 Key handshake에서 무결성 그룹 암호화키(IGTK)를 재설치하여 정보 유출이 가능한 취약점(CVE-2017-13081)
 o 재전송된 FT(Fast BSS Translation)를 연결 하는 동안 양방향 암호화키(PTK-TK)를 재설치하여 정보 유출이
    가능한 취약점(CVE-2017-13082)
 o PeerKey handshake에서 STK(Short-Term Key)를 재설치하여 정보 유출이 가능한 취약점(CVE-2017-13084)
 o TDLS(Tunneled Direct-Link Setup) handshake에서 TDLS PeerKey(TPK)를 재설치하여 정보 유출이
    가능한 취약점(CVE-2017-13086)
 o 무선 네트워크 관리(WNM)가 슬립 모드 응답 프레임을 처리할 때 그룹 암호화키(GTK)를 재설치하여 정보 유출이
    가능한 취약점(CVE-2017-13087)
 o 무선 네트워크 관리(WNM)가 슬립 모드 응답 프레임을 처리할 때 무결성 그룹 암호화키(IGTK)를 재설치하여 정보 유출이
    가능한 취약점(CVE-2017-13088)
 
□ 해결 방안
 o Microsoft(완료) [2]
 o Ubuntu(완료) [3]
 o HostAP(완료) [4]
  - 리눅스에서 사용하는 Wi-Fi 데몬(wps_supplicant, hostapd) 업데이트 완료
 o Cisco(제품별 패치 진행중) [5]
 o Juniper(제품별 패치 진행중) [6]
 o Google Android, Apple(iOS, macOS), Redhat 패치 예정
 
□ 기타 문의사항
 o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118
 
[참고사이트]
[1] https://www.krackattacks.com/
[2] https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2017-13080
[3] https://usn.ubuntu.com/usn/usn-3455-1/
[4] https://w1.fi/security/2017-1/
[5] https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-20171016-wpa
[6] https://kb.juniper.net/InfoCenter/index?page=content&id=JSA10827&actp=METADATA